Subject: bug#32385: closed (Re: bug#27476: libguile/memoize.c is not thread safe, so syntax parameter expansion is not thread-safe)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Dec 2020 15:13:03 +0000

Your bug report

#27476: no code for module (guix build utils) - info-dir.drv - e921234d02 (master)

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27476: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27476
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27476: libguile/memoize.c is not thread safe, so syntax parameter expansion is not thread-safe
From: Ludovic Courtès <[email-masked]>
To: Andy Wingo <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Dec 2020 16:12:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

For the record, this was fixed in
61a8c9300daeb730fe5094f889bf13241942be84, which made it into 2.9/3.0,
and 2dccec9f553776656d9378e2315ad32d2e55286b, which made it into 2.2.5.

Closing!  :-)

Ludo’.

Subject: no code for module (guix build utils) - info-dir.drv - e921234d02 (master)
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Mon, 06 Aug 2018 21:12:02 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On commit e921234d02 (current master branch head), I've noticed that
attempting to run "guix system reconfigure" using pre-inst-env on one of
my x86_64-linux systems fails with a message like:

ERROR In procedure scm-error:
no code for module (guix build utils)
builder for `/gnu/store...j1kz-info-dir.drv' failed with exit code 1

(I've abbreviated the store path above.)

I am able to reproduce the issue using the bare-bones template:

./pre-inst-env guix system build gnu/system/examples/bare-bones.tmpl

-- 
Chris